QuaZIP: JlCompress Class Reference

QuaZIP quazip-0-5-1

- Main Page
- Related Pages
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions
JlCompress Class Reference

Utility class for typical operations. More...

`#include <JlCompress.h>`

List of all members.

## Static Public Member Functions
static bool | compressFile (QString fileCompressed, QString file)
| Compress a single file.
static bool | compressFiles (QString fileCompressed, QStringList files)
| Compress a list of files.
static bool | compressDir (QString fileCompressed, QString dir=QString(), bool recursive=true)
| Compress a whole directory.
static QString | extractFile (QString fileCompressed, QString fileName, QString fileDest=QString())
| Extract a single file.
static QStringList | extractFiles (QString fileCompressed, QStringList files, QString dir=QString())
| Extract a list of files.
static QStringList | extractDir (QString fileCompressed, QString dir=QString())
| Extract a whole archive.
static QStringList | getFileList (QString fileCompressed)
| Get the file list.

## Detailed Description

Utility class for typical operations.

This class contains a number of useful static functions to perform simple operations, such as mass ZIP packing or extraction.

## Member Function Documentation

bool JlCompress::compressFile | ( | QString | fileCompressed,
|  | QString | file
| ) |  | `[static]`

Compress a single file.

Parameters:

  fileCompressed | The name of the archive.
  file | The file to compress.

Returns:
  true if success, false otherwise.

OK Comprime il file fileName nel file fileCompressed. Se la funzione fallisce restituisce false e cancella il file che si e tentato di creare.

La funzione fallisce se: * non si riesce ad aprire l'oggetto zip; * la compressione del file fallisce; * non si riesce a chiudere l'oggetto zip;

References QuaZip::close(), QuaZip::getZipError(), QuaZip::mdCreate, and QuaZip::open().

bool JlCompress::compressFiles | ( | QString | fileCompressed,
|  | QStringList | files
| ) |  | `[static]`

Compress a list of files.

Parameters:

  fileCompressed | The name of the archive.
  files | The file list to compress.

Returns:
  true if success, false otherwise.

OK Comprime i file specificati in files nel file fileCompressed. Se la funzione fallisce restituisce false e cancella il file che si e tentato di creare.

La funzione fallisce se: * non si riesce ad aprire l'oggetto zip; * la compressione di un file fallisce; * non si riesce a chiudere l'oggetto zip;

References QuaZip::close(), QuaZip::getZipError(), QuaZip::mdCreate, and QuaZip::open().

bool JlCompress::compressDir | ( | QString | fileCompressed,
|  | QString | dir = `QString()`,
|  | bool | recursive = `true`
| ) |  | `[static]`

Compress a whole directory.

Parameters:

  fileCompressed | The name of the archive.
  dir | The directory to compress.
  recursive | Whether to pack the subdirectories as well, or just regular files.

Returns:
  true if success, false otherwise.

OK Comprime la cartella dir nel file fileCompressed, se recursive e true allora comprime anche le sotto cartelle. Se la funzione fallisce restituisce false e cancella il file che si e tentato di creare.

La funzione fallisce se: * non si riesce ad aprire l'oggetto zip; * la compressione di un file fallisce; * non si riesce a chiudere l'oggetto zip;

References QuaZip::close(), QuaZip::getZipError(), QuaZip::mdCreate, and QuaZip::open().

QString JlCompress::extractFile | ( | QString | fileCompressed,
|  | QString | fileName,
|  | QString | fileDest = `QString()`
| ) |  | `[static]`

Extract a single file.

Parameters:

  fileCompressed | The name of the archive.
  fileName | The file to extract.
  fileDest | The destination file, assumed to be identical to file if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

OK Estrae il file fileName, contenuto nel file fileCompressed, con il nome fileDest. Se fileDest = "" allora il file viene estratto con lo stesso nome con cui e stato compresso. Se la funzione fallisce cancella il file che si e tentato di estrarre. Restituisce il nome assoluto del file estratto.

La funzione fallisce se: * non si riesce ad aprire l'oggetto zip; * l'estrazione del file fallisce; * non si riesce a chiudere l'oggetto zip;

References QuaZip::close(), QuaZip::getZipError(), QuaZip::mdUnzip, and QuaZip::open().

QStringList JlCompress::extractFiles | ( | QString | fileCompressed,
|  | QStringList | files,
|  | QString | dir = `QString()`
| ) |  | `[static]`

Extract a list of files.

Parameters:

  fileCompressed | The name of the archive.
  files | The file list to extract.
  dir | The directory to put the files to, the current directory if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

OK Estrae i file specificati in files, contenuti nel file fileCompressed, nella cartella dir. La struttura a cartelle del file compresso viene rispettata. Se dir = "" allora il file viene estratto nella cartella corrente. Se la funzione fallisce cancella i file che si e tentato di estrarre. Restituisce i nomi assoluti dei file estratti.

La funzione fallisce se: * non si riesce ad aprire l'oggetto zip; * l'estrazione di un file fallisce; * non si riesce a chiudere l'oggetto zip;

References QuaZip::close(), QuaZip::getZipError(), QuaZip::mdUnzip, and QuaZip::open().

QStringList JlCompress::extractDir | ( | QString | fileCompressed,
|  | QString | dir = `QString()`
| ) |  | `[static]`

Extract a whole archive.

Parameters:

  fileCompressed | The name of the archive.
  dir | The directory to extract to, the current directory if left empty.

Returns:
  The list of the full paths of the files extracted, empty on failure.

OK Estrae il file fileCompressed nella cartella dir. Se dir = "" allora il file viene estratto nella cartella corrente. Se la funzione fallisce cancella i file che si e tentato di estrarre. Restituisce i nomi assoluti dei file estratti.

La funzione fallisce se: * non si riesce ad aprire l'oggetto zip; * la compressione di un file fallisce; * non si riesce a chiudere l'oggetto zip;

References QuaZip::close(), QuaZip::getCurrentFileName(), QuaZip::getZipError(), QuaZip::goToFirstFile(), QuaZip::goToNextFile(), QuaZip::mdUnzip, and QuaZip::open().

QStringList JlCompress::getFileList | ( | QString | fileCompressed | ) | `[static]`

Get the file list.

Returns:
  The list of the files in the archive, or, more precisely, the list of the entries, including both files and directories if they are present separately.

OK Restituisce la lista dei file resenti nel file compresso fileCompressed. Se la funzione fallisce, restituisce un elenco vuoto.

La funzione fallisce se: * non si riesce ad aprire l'oggetto zip; * la richiesta di informazioni di un file fallisce; * non si riesce a chiudere l'oggetto zip;

References QuaZip::close(), QuaZip::getCurrentFileInfo(), QuaZip::getZipError(), QuaZip::goToFirstFile(), QuaZip::goToNextFile(), QuaZip::mdUnzip, QuaZipFileInfo::name, and QuaZip::open().

The documentation for this class was generated from the following files:

- quazip/JlCompress.h
- quazip/JlCompress.cpp